{
  enable = true;
  settings = let
    main = "Philips Consumer Electronics Company 27M2N5500 UK02418033254";
    second = "Samsung Electric Company S24R65x H4TMA03291";
    builtin = {
      eldrid = "Chimei Innolux Corporation 0x1406 Unknown";
      sarien = "LG Display 0x068B Unknown";
      # morphius =;
    };
  in [
    {
      output = {
        criteria = main;
        position = "0,0";
        scale = 4.0 / 3.0;
        adaptiveSync = true;
      };
    }
    {
      output = {
        criteria = second;
        mode = "1920x1080@74.973";
        adaptiveSync = true;
      };
    }
    {
      output = {
        criteria = builtin.eldrid;
        position = "0,0";
        scale = 1.2;
        # adaptiveSync = true;
      };
    }
    {
      output = {
        criteria = builtin.sarien;
        position = "0,0";
        scale = 1.25;
        # adaptiveSync = true;
      };
    }
    {
      profile = {
        name = "dunamis";
        outputs = [
          {criteria = main;}
          {
            criteria = second;
            position = "1920,180";
            scale = 1.2;
            # transform = "90";
            adaptiveSync = true;
          }
        ];
      };
    }
    {
      profile = {
        name = "eldrid-docked";
        outputs = [
          {
            criteria = main;
            position = "0,0";
            scale = 4.0 / 3.0;
          }
          {
            criteria = builtin.eldrid;
            position = "1920,0";
          }
        ];
      };
    }
    {
      profile = {
        name = "eldrid-undocked";
        outputs = [
          {
            criteria = builtin.eldrid;
            position = "0,0";
          }
        ];
      };
    }
    {
      profile = {
        name = "sarien-docked";
        outputs = [
          {
            criteria = main;
            position = "0,0";
            scale = 4.0 / 3.0;
          }
          {
            criteria = builtin.sarien;
            position = "1920,0";
          }
        ];
      };
    }
    {
      profile = {
        name = "sarien-undocked";
        outputs = [
          {
            criteria = builtin.sarien;
            position = "0,0";
          }
        ];
      };
    }
  ];
}
