{
  services = {
    # hardware.openrgb.enable = true;
    avahi.enable = true;
    dnscrypt-proxy2 = {
      enable = true;
      settings = {
        bootstrap_resolvers = ["9.9.9.11:53" "9.9.9.9:53"];
        require_dnssec = true;
        server_names = ["mullvad-doh"];
      };
    };
    flatpak.enable = true;
    fstrim = {
      enable = true;
      interval = "daily";
    };
    fwupd.enable = true;
    logind = {
      lidSwitch = "ignore";
      powerKey = "suspend";
    };
    opensnitch = {
      enable = false;
      settings = {
        DefaultAaction = "deny";
        Firewall = "iptables";
        InterceptUnknown = true;
        ProcMonitorMethod = "ebpf";
      };
    };
    openssh.enable = true;
    scx = {
      enable = true;
      scheduler = "scx_flash";
    };
    syncthing.openDefaultPorts = true;
    userborn.enable = true;
  };
}
